Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000835Frama-CKernel > ACSL implementationpublic2011-05-24 15:502014-02-12 16:59
Reporterproux 
Assigned Tovirgile 
PrioritynormalSeverityminorReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C Carbon-20110201 
Target VersionFixed in VersionFrama-C Nitrogen-20111001 
Summary0000835: Aggregate logic types containing only C types
DescriptionAccording to section 2.2.7 of current ACSL implementation
documentation
http://frama-c.com/download/acsl-implementation-Carbon-20110201.pdf [^]
it would be possible to use for example arrays of integers:
"Aggregate types can be declared in logic, and their contents may be any logic types themselves."
but when trying so, we got an error "not a C type".
Looking at type logic_type in cil/src/cil_types.mli
I understand that actually implementing what the documentation
says may require a non negligible amount of work
and I don't expect it anytime soon.
But putting a "not yet implemented" warning or something like that
in the implementation documentation would be nice.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001924)
virgile (developer)
2011-05-24 17:38

Actually this is flagged as unimplemented in section 2.6.8 (fig. 2.16) which deals specifically with concrete logic types. Admittedly, section 2.2.7 should refer to this.
(0004745)

2014-02-12 16:59

Fix committed to stable/neon branch.

- Issue History
Date Modified Username Field Change
2011-05-24 15:50 proux New Issue
2011-05-24 15:50 proux Status new => assigned
2011-05-24 15:50 proux Assigned To => virgile
2011-05-24 17:38 virgile Note Added: 0001924
2011-08-30 18:25 svn Checkin
2011-08-30 18:25 svn Status assigned => resolved
2011-08-30 18:25 svn Resolution open => fixed
2011-10-10 14:13 signoles Fixed in Version => Frama-C Nitrogen-20111001
2011-10-10 14:14 signoles Status resolved => closed
2014-02-12 16:59 Note Added: 0004745
2014-02-12 16:59 Status closed => resolved


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker